"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.initializeSourceControl = void 0;

var _fs = _interopRequireDefault(require("fs"));

var _path = require("path");

var _chalk = _interopRequireDefault(require("chalk"));

var _exec = require("./exec");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint no-console: 0 */
// eslint-disable-next-line
const initializeSourceControl = async (projectName, repoOwner) => {
  let result = null;

  try {
    result = await (0, _exec.shellExec)(`git init`);
    console.log(_chalk.default.red(result.stderr));
    console.log(_chalk.default.green(result.stdout));
  } catch (err) {
    console.log(_chalk.default.red(err));
  }

  try {
    result = await (0, _exec.shellExec)(`git remote add origin https://github.com/${repoOwner}/${projectName}.git`);
    console.log(_chalk.default.red(result.stderr));
    console.log(_chalk.default.green(result.stdout));
  } catch (err) {
    console.log(_chalk.default.red(err));
  }

  const outFileName = (0, _path.join)(process.cwd(), '.gitignore');
  const sourceDir = (0, _path.join)((0, _path.dirname)(process.argv[1]), 'templates');

  _fs.default.copyFileSync((0, _path.join)(sourceDir, '.gitignore'), outFileName);

  console.log(_chalk.default.green('Copied .gitignore'));
};

exports.initializeSourceControl = initializeSourceControl;