"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.parseMaintainers = exports.parseDescription = void 0;

const parseDescription = (description, name) => {
  if (description.includes('<project name>')) {
    return description.replace('<project name>', name);
  }

  return description;
};

exports.parseDescription = parseDescription;

const parseMaintainers = maintainers => {
  if (maintainers === 'none') {
    return '';
  }

  const usernames = maintainers.split(',');
  let maintainerString = '';

  for (const name of usernames) {
    const whiteSpaceFreeName = name.replace(/\s/g, '');
    const attribute = `[@${whiteSpaceFreeName}](https://github.com/${whiteSpaceFreeName})\n`;
    maintainerString += attribute;
  }

  return maintainerString;
};

exports.parseMaintainers = parseMaintainers;